petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetTmp

Gets the name of the tmp directory

### Synopsis

    PetscErrorCode  PetscGetTmp(MPI_Comm comm,char dir[],size_t len)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - MPI_Communicator that may share /tmp Many br
| len | - length of string to hold name Many br

### Output Parameters

dir -directory name Many br

### Options Database Keys

| -shared_tmp | - . -not_shared_tmp Many br
| -tmp tmpdir | - Many brEnvironmental Variables: Many br+ PETSC_SHARED_TMP Many br

PETSC_NOT_SHARED_TMP -- PETSC_TMP Many br

Many br

If the environmental variable PETSC_TMP is set it will use this directory Many bras the "/tmp" directory. Many br

Level:developer
Location:src/sys/fileio/fretrieve.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages